=== debian/changelog ===
libfann (2.2.0+ds-3) unstable; urgency=medium

  * Drop package libfann-dbg in favor of automatic dbgsym packages, as per
    https://lists.debian.org/debian-devel/2015/12/msg00262.html
  * d/control:
    - Switch to secure URIs in Vcs-* fields
    - Bump Standards-Version to 3.9.8 (no changes needed)
  * d/rules:
    - Improve version parsing
    - Add hardening=+all,-pie to DEB_BUILD_MAINT_OPTIONS
  * d/copyright:
    - Bump copyright years

 -- Christian Kastner <ckk@debian.org>  Sun, 24 Apr 2016 17:24:51 +0200

libfann (2.2.0+ds-2) unstable; urgency=medium

  * d/rules:
    - Build result uses DEB_HOST_GNU_TYPE, not DEB_HOST_MULTIARCH. Resolves a
      FTBFS on i386.

 -- Christian Kastner <ckk@debian.org>  Sun, 11 Oct 2015 19:05:02 +0200

libfann (2.2.0+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #706352, LP: #1164142
    - The Python bindings have been split out into a separate source package,
      as they are now maintained by an external contributor.
    - Upstream switched to CMake as the build system
  * d/control:
    - Drop the Python packages, and all references to them
    - Drop X-Python-Version
    - Drop Build-Depends on python-all-dev, dh-python, swig
    - Replace Build-Depends on dh-autoreconf with cmake (>= 2.8.5)
    - Drop XS-Testsuite. dpkg now recognizes the Testsuite header, and
      dpkg-source automatically adds one when an autopkgtest suite is found
    - Update Vcs-Browser URL (cgit instead of gitweb on g.d.o)
    - Switch Maintainer email to my @debian.org address
  * d/rules:
    - Update for CMake build
    - Fix dh_auto_test post-execution cleanup
    - Remove all Python-related code
    - Add a get-orig-source target
  * d/copyright:
    - Remove obsolete references to authors. There is no code left in the
      package that can be attributed to these authors
    - Drop Comment documenting the DFSG cleaning; the upstream source is now
      DFSG-free. Pre-compiled Windows binaries are still removed, however;
      hence the +ds suffix
    - Relicense my own patches to LGPL-2.1+ to match upstream
    - Bump copyright years
  * libfann-doc:
    - Rework examples installation
    - Add a new example
    - Update libfann-doc.docs list
  * libfann2:
    - Add 65 new symbols to libfann2.symbols
  * d/tests:
    - Drop test "python-build"
    - Replace Depends on build-essential with libc-dev and gcc
  * d/watch:
    - Upstream moved to GitHub
    - Update for +ds suffix
  * d/TODO:
    - Drop, as there are no TODOs left
  * d/gbp.conf:
    - No patch numbers in .patch filenames
    - Use xz compression
  * d/patches:
    - Drop patch numbers from .patch filenames
  * d/patches (dropped):
    - 0001-Link-python-pyfann-dynamically-instead-of-statically.patch
      0005-Correct-a-typo-in-a-size-comparison.patch
      0007-Do-not-call-swig-unconditionally.patch
      These became obsolete as they pertained to the Python bindings
    - 0003-Patch-upstreams-Makefile.am-reflecting-Debian.patch
      0006-Include-fann_cpp.h-in-dev-package.patch
      These became obsolete through the switch to CMake
  * d/patches (updated):
    - 0002-Link-against-libm.patch
      Update for CMake
  * d/patches (added)
    - cmake-Configurable-pkgconfig-install-destination.patch
    - cmake-Build-static-libraries.patch

 -- Christian Kastner <ckk@debian.org>  Fri, 25 Sep 2015 16:44:35 +0200
