=== debian/control ===
Source: libfann
Section: libs
Priority: optional
Maintainer: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper (>= 9),
    cmake (>= 2.8.5),
Build-Depends-Indep:
    naturaldocs
Standards-Version: 3.9.8
Homepage: http://leenissen.dk/fann/wp/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libfann.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/libfann.git

Package: libfann2
Architecture: any
Multi-Arch: same
Pre-Depends:
    ${misc:Pre-Depends}
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Suggests:
    libfann-dev (= ${binary:Version}),
    libfann-doc (= ${binary:Version})
Conflicts:
    libfann1
Replaces:
    libfann1
Description: Fast Artificial Neural Network Library
 Fast Artificial Neural Network Library is a free open
 source neural network library, which implements multilayer artificial
 neural networks in C with support for both fully connected and
 sparsely connected networks. Cross-platform execution in both fixed
 and floating point are supported. It includes a framework for easy
 handling of training data sets. It is easy to use, versatile, well
 documented, and fast.
 .
 This package contains the shared libraries.

Package: libfann-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
    ${misc:Depends},
    libfann2 (= ${binary:Version})
Suggests:
    libfann-doc (= ${binary:Version})
Conflicts:
    libfann1-dev
Replaces:
    libfann1-dev
Description: Development libraries and header files for FANN
 Fast Artificial Neural Network Library is a free open
 source neural network library, which implements multilayer artificial
 neural networks in C with support for both fully connected and
 sparsely connected networks. Cross-platform execution in both fixed
 and floating point are supported. It includes a framework for easy
 handling of training data sets. It is easy to use, versatile, well
 documented, and fast.
 .
 This package contains the header files and static libraries which are
 needed for developing libfann applications.

Package: libfann-doc
Section: doc
Architecture: all
Depends:
    ${misc:Depends}
Recommends:
    libfann-dev (= ${binary:Version}),
Description: API documentation for FANN
 Fast Artificial Neural Network Library is a free open
 source neural network library, which implements multilayer artificial
 neural networks in C with support for both fully connected and
 sparsely connected networks. Cross-platform execution in both fixed
 and floating point are supported. It includes a framework for easy
 handling of training data sets. It is easy to use, versatile, well
 documented, and fast.
 .
 This package contains the API documentation in HTML form and some
 introductory material in text form.
