=== debian/tests/control ===
Tests: build
Depends: libfann-dev, libc-dev, gcc
