=== debian/watch ===
version=3

opts=\
dversionmangle=s/\+ds//,\
repacksuffix=+ds,\
filenamemangle=s/.+\/(\d\S*)\.tar\.gz/libfann-$1\.tar\.gz/ \
https://github.com/libfann/fann/releases .*/(\d\S*)\.tar\.gz
